crashpad::internal::WriteAllInternal Class Referenceabstract

The internal implementation of WriteFile() and its wrappers. More...

`#include "util/file/file_io.h"`

## Public Member Functions

bool | WriteAll (const void *buffer, size_t size)
| Calls Write(), retrying following a short write, ensuring that exactly size bytes are written. More...

## Detailed Description

The internal implementation of WriteFile() and its wrappers.

The logic is exposed so that it may be tested without requiring large files to be written. It is not intended to be used more generally. Use WriteFile(), LoggingWriteFile(), CheckedWriteFile(), or FileWriterInterface::Write() instead.

## Member Function Documentation

## WriteAll()

bool crashpad::internal::WriteAllInternal::WriteAll | ( | const void * | buffer,
|  | size_t | size
| ) |  |

Calls Write(), retrying following a short write, ensuring that exactly size bytes are written.

Returns
  `true` on success. `false` if the underlying Write() fails or if fewer than size bytes were written.

The documentation for this class was generated from the following files:

- util/file/file_io.h
- util/file/file_io.cc